<?php
@include '../../include_path.php';
/**
 * Default Monitor ProgressBar example with logging events.
 *
 * @version    $Id: monitor_default2.php,v 1.2 2004/04/18 13:25:43 farell Exp $
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @package    HTML_Progress
 */

require_once 'HTML/Progress/monitor.php';
require_once 'progressHandler.php';


$monitor = new HTML_Progress_Monitor();

$bar =& $monitor->getProgressElement();
$bar->setAnimSpeed(25);
$monitor->setProgressHandler('logger');
?>
<html>
<head>
<title>ProgressBar Monitor - Default renderer </title>
<style type="text/css">
<!--
.progressStatus {
	color:#000000; 
	font-size:10px;
}
<?php echo $monitor->getStyle(); ?>
// -->
</style>
<script type="text/javascript">
<!--
<?php echo $monitor->getScript(); ?>
//-->
</script>
</head>
<body>
<h1><?php echo basename(__FILE__); ?></h1>

<?php 
echo $monitor->toHtml();

$monitor->run();
?>

<p>&lt;&lt; <a href="index.html">Back examples TOC</a></p>

</body>
</html>